package com.liang.service.impl;

import com.liang.dao.BasePersonDao;
import com.liang.entity.BasePerson;
import com.liang.service.BasePersonService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * (BasePerson)表服务实现类
 *
 * @author makejava
 * @since 2023-02-15 23:13:19
 */
@Service("basePersonService")
public class BasePersonServiceImpl implements BasePersonService {
    @Resource
    private BasePersonDao basePersonDao;

    /**
     * 通过ID查询单条数据
     *
     * @param Genid 主键
     * @return 实例对象
     */
    @Override
    public BasePerson queryById(Integer Genid) {
        return this.basePersonDao.queryById(Genid);
    }

    /**
     * 分页查询
     *
     * @param basePerson  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @Override
    public Page<BasePerson> queryByPage(BasePerson basePerson, PageRequest pageRequest) {
        long total = this.basePersonDao.count(basePerson);
        return new PageImpl<>(this.basePersonDao.queryAllByLimit(basePerson, pageRequest), pageRequest, total);
    }

    /**
     * 新增数据
     *
     * @param basePerson 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(BasePerson basePerson) {
        return this.basePersonDao.insert(basePerson);
    }

    /**
     * 修改数据
     *
     * @param basePerson 实例对象
     * @return 实例对象
     */
    @Override
    public int update(BasePerson basePerson) {
        return this.basePersonDao.update(basePerson);
    }

    /**
     * 通过主键删除数据
     *
     * @param Genid 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer Genid) {
        return this.basePersonDao.deleteById(Genid) > 0;
    }

    @Override
    public List<BasePerson> getBasePersonList(Map map) {
        return this.basePersonDao.getBasePersonList(map);
    }

    @Override
    public List<Map<String, String>> getDKYFZR() {
        return this.basePersonDao.getDKYFZR();
    }

    @Override
    public int batchDelete(List<Integer> idList) {
        return this.basePersonDao.batchDelete(idList);
    }

    @Override
    public List<BasePerson> getPersonListByDw(Integer dw, String xm) {
        return this.basePersonDao.getPersonListByDw(dw, xm);
    }
}
